Package org.jbpm.services.task.audit.service

## Class TaskEventDeleteBuilderImpl

- java.lang.Object
- - org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<T>
  - - org.jbpm.query.jpa.builder.impl.AbstractDeleteBuilderImpl<T>
    - - org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl<org.kie.internal.task.query.TaskEventDeleteBuilder>
      - - org.jbpm.services.task.audit.service.TaskEventDeleteBuilderImpl

- All Implemented Interfaces:
    `org.kie.internal.query.ParametrizedQueryBuilder<org.kie.internal.task.query.TaskEventDeleteBuilder>`, `org.kie.internal.runtime.manager.audit.query.AuditDateDeleteBuilder<org.kie.internal.task.query.TaskEventDeleteBuilder>`, `org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder<org.kie.internal.task.query.TaskEventDeleteBuilder>`, `org.kie.internal.task.query.TaskEventDeleteBuilder`

      public class TaskEventDeleteBuilderImpl
      extends AbstractAuditDeleteBuilderImpl<org.kie.internal.task.query.TaskEventDeleteBuilder>
      implements org.kie.internal.task.query.TaskEventDeleteBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl

      `AbstractAuditDeleteBuilderImpl.Subquery`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl

      `deploymentId, executor, jpaAuditService, recordsPerTransaction, statuses`

    - ### Fields inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `queryWhere`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskEventDeleteBuilderImpl​(JPAAuditLogService jpaAuditService)` |
    `TaskEventDeleteBuilderImpl​(org.kie.api.runtime.CommandExecutor cmdExecutor)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.internal.task.query.TaskEventDeleteBuilder` | `date​(Date... date)` |
    `org.kie.internal.task.query.TaskEventDeleteBuilder` | `dateRangeEnd​(Date rangeStart)` |
    `org.kie.internal.task.query.TaskEventDeleteBuilder` | `dateRangeStart​(Date rangeStart)` |
    `protected String` | `getQueryTable()` |
    `protected Class` | `getQueryType()` |
    `protected boolean` | `isSubquerySupported()` |

    - ### Methods inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl

      `applyParameters, build, checkIfNull, ensureDateNotTimestamp, getJpaAuditLogService, getSubQuery, logBelongsToProcessInDeployment, logBelongsToProcessInStatus, processId, processInstanceId, recordsPerTransaction`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractDeleteBuilderImpl

      `endGroup, newGroup`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, addRangeParameters, and, clear, equals, getQueryWhere, intersect, like, maxResults, offset, or, regex, union`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder

      `build, logBelongsToProcessInDeployment, logBelongsToProcessInStatus, processId, processInstanceId, recordsPerTransaction`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Constructor Detail

    - #### TaskEventDeleteBuilderImpl

          public TaskEventDeleteBuilderImpl​(org.kie.api.runtime.CommandExecutor cmdExecutor)

    - #### TaskEventDeleteBuilderImpl

          public TaskEventDeleteBuilderImpl​(JPAAuditLogService jpaAuditService)

  - ### Method Detail

    - #### date

          public org.kie.internal.task.query.TaskEventDeleteBuilder date​(Date... date)

      Specified by:
        `date` in interface `org.kie.internal.runtime.manager.audit.query.AuditDateDeleteBuilder<org.kie.internal.task.query.TaskEventDeleteBuilder>`
      Overrides:
        `date` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.task.query.TaskEventDeleteBuilder>`

    - #### dateRangeStart

          public org.kie.internal.task.query.TaskEventDeleteBuilder dateRangeStart​(Date rangeStart)

      Specified by:
        `dateRangeStart` in interface `org.kie.internal.runtime.manager.audit.query.AuditDateDeleteBuilder<org.kie.internal.task.query.TaskEventDeleteBuilder>`
      Overrides:
        `dateRangeStart` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.task.query.TaskEventDeleteBuilder>`

    - #### dateRangeEnd

          public org.kie.internal.task.query.TaskEventDeleteBuilder dateRangeEnd​(Date rangeStart)

      Specified by:
        `dateRangeEnd` in interface `org.kie.internal.runtime.manager.audit.query.AuditDateDeleteBuilder<org.kie.internal.task.query.TaskEventDeleteBuilder>`
      Overrides:
        `dateRangeEnd` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.task.query.TaskEventDeleteBuilder>`

    - #### getQueryType

          protected Class getQueryType()

      Specified by:
        `getQueryType` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.task.query.TaskEventDeleteBuilder>`

    - #### getQueryTable

          protected String getQueryTable()

      Specified by:
        `getQueryTable` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.task.query.TaskEventDeleteBuilder>`

    - #### isSubquerySupported

          protected boolean isSubquerySupported()

      Overrides:
        `isSubquerySupported` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.task.query.TaskEventDeleteBuilder>`